// tailwind.config.js
const { fontFamily } = require('tailwindcss/defaultTheme')

module.exports = {
  content: [
    './components/**/*.{vue,js}',
    './layouts/**/*.vue',
    './pages/**/*.vue',
    './app.vue',
    './nuxt.config.{js,ts}',
  ],
  theme: {
    extend: {
      colors: {
        primary: 'var(--color-primary)',
        secondary: 'var(--color-secondary)',
        three: 'var(--color-three)',
        accent: {
          50: 'var(--color-accent-50)',
          100: 'var(--color-accent-100)',
          150: 'var(--color-accent-150)',
        },
        black: {
          50: 'var(--color-black-50)',
        },
        error: 'var(--color-error)',
        warning: 'var(--color-warning)',
        'text-disabled': 'var(--color-text-disabled)',
        'bg-disabled': 'var(--color-bg-disabled)',
      },
      fontFamily: {
        lato: ['Lato', ...fontFamily.sans],
        russo: ['"Russo One"', ...fontFamily.sans],
      },
    },
  },
  plugins: [],
}